aries-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Christian Schneider <>
Subject Re: Discuss Release of aries jpa bundles
Date Fri, 31 Oct 2014 08:21:58 GMT
I was wrong with the API. Seems like all changes are already released in 
jpa-api 1.0.2.
So from my side no need to bump up the versions at this time. I will 
release the impl bundles using the next bugfix versions.

So I only have to release

org.apache.aries.jpa.container 1.0.1 -> 1.0.2
org.apache.aries.jpa.container.context 1.0.3 -> 1.0.4
org.apache.aries.jpa.blueprint.aries 1.0.3 -> 1.0.4

I will start to prepare the release now.


On 24.10.2014 15:26, Guillaume Nodet wrote:
> If the bundles need to be bumped, so be it.
> But if the goal of aligning is to be more obvious for users and simplify
> their usage of pa, that's wrong, because the next release may get bundles
> out of sync again, so they'd better be prepared for that.  That's the main
> drawback of aligning : it makes them think they will be kept aligned, but
> that's not the case.
> 2014-10-24 14:49 GMT+02:00 Christian Schneider <>:

Christian Schneider

Open Source Architect

View raw message